{
  description = "A flake for developing in a clojure environment with vscode";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.11";
  };

  outputs = { nixpkgs, ... }:
  let system = "x86_64-linux"; pkgs = import nixpkgs { system = "${system}"; config.allowUnfree = true; }; in
  {
    devShells."${system}".default =
      pkgs.mkShellNoCC {
        nativeBuildInputs = [ pkgs.pkg-config ];
        buildInputs = [ pkgs.bashInteractive ];
        packages = with pkgs; [
          rustc
          cargo
          gcc
          rustfmt
          clippy
          rust-analyzer
          lldb
          jetbrains.rust-rover
          openssl
          (vscode-with-extensions.override {
            vscode = vscodium;
            vscodeExtensions = with vscode-extensions; [
              rust-lang.rust-analyzer
            ];
          })
        ];
        PKG_CONFIG_PATH = "${pkgs.openssl.dev}/lib/pkgconfig";
        shellHook = ''
          export SHELL=${pkgs.lib.getExe pkgs.bashInteractive}
        '';
      };
  };
}
